Bug 661568 - Changes file is out of date
Changes file is out of date
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.5
Unspecified Unspecified
low Severity medium
: 3.0
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-08 20:04 EST by Jeff Fearn
Modified: 2012-10-30 23:10 EDT (History)
4 users (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 23:10:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Fearn 2010-12-08 20:04:21 EST
Description of problem:
Changes are being kept in the spec file instead of the Changes file. The Change log needs to be moved from the spec file in to Changes, and the spec file change log should track rebuilds of the packages not code changes.

The current method means that people not using the spec file, Debian, Windows etc, don't get a useful change log.

Version-Release number of selected component (if applicable):
2.5
Comment 1 Jeff Fearn 2010-12-08 22:51:43 EST
Migrated change log from spec fiel to Changes file, reformatted to CPAN standard.

Commit number r1677.
Comment 2 Jared MORGAN 2012-05-08 00:06:00 EDT
Hi Jeff

How would us QA monkeys reproduce this to verify it works for you?

I would assume the following:

* someone with access to a non-rpm based system.
* someone who knows the location of the spec and changes files.

Sorry for potentially asking n00b questions here, but I think it might help QA testers to replicate the issue and test for you.

Cheers

J
Comment 3 Jeff Fearn 2012-05-08 03:13:59 EDT
1: Check that the spec file contains a small change log.
2: Check that the Changes file contains a list of changes for each version.

Note that the spec file here isn't used by Fedora so it doesn't need to have everything the Fedora spec file contains :)

I don't think there is much point in trying to verify every change is documented.
Comment 4 Michael Hideo 2012-06-07 22:05:01 EDT
(In reply to comment #3)
> 1: Check that the spec file contains a small change log.
> 2: Check that the Changes file contains a list of changes for each version.
> 
> Note that the spec file here isn't used by Fedora so it doesn't need to have
> everything the Fedora spec file contains :)
> 
> I don't think there is much point in trying to verify every change is
> documented.

execute the above.
Comment 5 Cheryn Tan 2012-06-15 22:20:38 EDT
Checked on publican-3.0-0.fc16.t180

1. publican.spec contains a change log.
2. publican/publican/Changes contains a revision history.

Note You need to log in before you can comment on or make changes to this bug.